Deal
List deal AI fields
List the deal AI fields of the workspace, sorted by title. Archived fields are excluded unless includeArchived is set. The endpoint is not paginated as the number of AI fields per workspace is capped.
GET
/
v1
/
deals
/
fields
cURL
curl --request GET \
--url https://api.claap.io/v1/deals/fields \
--header 'X-Claap-Key: <api-key>'import requests
url = "https://api.claap.io/v1/deals/fields"
headers = {"X-Claap-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Claap-Key': '<api-key>'}};
fetch('https://api.claap.io/v1/deals/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": [
{
"fieldId": "DealAiSection#Nb4Hj7Ky2Fs9Lm1Qd6Vp3",
"title": "Confirmed budget",
"kind": "Field",
"outputType": "Checkbox",
"prompt": "Has the prospect confirmed a budget for this deal?",
"authorId": "Xk2Rd7Mv4Bn9Ts1Lq6Wf3",
"createdAt": "2026-05-14T09:30:00Z"
},
{
"fieldId": "DealAiSection#Mv6Zq1Xs8Dg3Pk5Wr9Tc2",
"title": "Deal health",
"kind": "Field",
"outputType": "Rating",
"prompt": "Rate how likely this deal is to close, based on the engagement of the prospect.",
"ratingScale": 5,
"crmField": {
"entity": "Deal",
"label": "Deal health",
"name": "deal_health",
"source": "Hubspot",
"type": "Numeric"
},
"authorId": "Xk2Rd7Mv4Bn9Ts1Lq6Wf3",
"createdAt": "2026-05-14T09:30:00Z"
}
]
}Lists the deal AI fields of the workspace, sorted by title. Archived fields are excluded unless
includeArchived is set. The endpoint is not paginated as the number of AI fields per workspace is capped.Authorizations
Query Parameters
If set to true, include archived AI fields in the results.
Available options:
true, 1, false, 0 Response
200 - application/json
Deal AI fields were successfully listed
Show child attributes
Show child attributes
⌘I
cURL
